<%@ page contentType="text/html; charset=utf-8" language="java" %>
<%@ taglib uri="/WEB-INF/taglib.tld" prefix="x" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<x:base include="grid,date"/>
<x:script src='/system/opm/js/OpmUtil.js'/>
<x:script src='/biz/topsun/common/purchaseCommon.js'/>
<x:script src='/biz/topsun/proofing/proofingApply.js'/>
<x:script src='/biz/topsun/proofing/technologyAndBom/technologyAndBom.js'/>
<div class="container-fluid" style="padding: 10px;">
    <div style="text-align: center;font-weight: bold;">
        <h1 style="font-weight: bold;">打样申请单</h1>
    </div>
    <form class="hg-form" method="post" action="" id="submitForm">
        <x:hidden name="id" id="proofingApplyId"/>
        <x:hidden name="billCode"/>
        <x:hidden name="fillinDate" type="datetime"/>
        <x:hidden name="fullId"/>
        <x:hidden name="organId"/>
        <x:hidden name="organName"/>
        <x:hidden name="deptId"/>
        <x:hidden name="deptName"/>
        <x:hidden name="positionId"/>
        <x:hidden name="positionName"/>
        <x:hidden name="personMemberId"/>
        <x:hidden name="personMemberName"/>
        <div><h3>基本信息</h3></div>
        <div style="margin: 10px;">
            <div class="hg-form-cols">
                <x:inputC name="proofingApplyNo" readonly="true" label="申请单号" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="productId" wrapper="select" label="产品编号" labelCol="1" fieldCol="2"/>

                <x:inputC name="customerId" label="品牌客户编号" readonly="true"  labelCol="1" fieldCol="2"/>

                <x:inputC name="proofingApplyPageNeedTime" label="版面需求时间" wrapper="date" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="proofingApplyCompleteDate" id="completeDate" required="false" label="完成日期"
                          wrapper="date" labelCol="1"/>
                <x:inputC name="proofingApplySampleCnName" label="样品中文名称" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="proofingApplySampleEnName" label="样品英文名称" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="proofingApplySampleVersion" label="样品版次" maxLength="32" labelCol="1" fieldCol="2"/>
                <x:inputC name="proofingApplySampleSize" label="样品规格" maxLength="32" labelCol="1" fieldCol="2"/>
                <x:inputC name="proofingApplySampleNum" label="样品数量" maxLength="32" labelCol="1" fieldCol="2"/>
                <x:inputC name="proofingApplyOutputSituation" label="产量情况" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="proofingApplyProductNo" label="产品代号" maxLength="32" labelCol="1" fieldCol="2"/>
                <x:inputC name="proofingType" label="打样形式" labelCol="1" fieldCol="2"/>

<%--                <x:selectC name="page" label="版面" dictionary="prodcutLayout" labelCol="1" fieldCol="2"/>--%>
                <x:inputC name="page" label="版面"  labelCol="1" fieldCol="2"/>


                <x:inputC name="proofingApplyAllocationType" label="分配方式" maxLength="32" labelCol="1" fieldCol="2"/>

                <x:inputC name="productCategoryName" label="产品类别" readonly="true" labelCol="1" fieldCol="2"/>

                <x:inputC name="proofingApplySurfaceTreatment" label="表面处理" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="proofingApplyNgReReason" label="NG重新打样原因" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="proofingApplyTestStandard" label="测试标准" maxLength="32" labelCol="1" fieldCol="2"/>
                <x:selectC name="proofingApplyApplicationStatus" label="申请单状态" dictionary="handleResult" labelCol="1" fieldCol="2"/>
            </div>
        </div>

        <div><h3>样品外观要求</h3></div>
        <div style="margin: 10px;">
            <div class="hg-form-cols">
                <x:selectC name="isOutput" required="false" label="是否量产" dictionary="yesorno" labelCol="1"
                           fieldCol="2"/>
                <x:selectC name="isOut" required="false" label="是否外发" dictionary="yesorno" labelCol="1"
                           fieldCol="2"/>
                <x:selectC name="isChange" required="false" label="是否改变" dictionary="yesorno" labelCol="1"
                           fieldCol="2"/>
                <x:inputC name="plasticBagType" required="false" label="塑料袋结构类型" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="productLength" label="长度（cm）" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="productWidth" label="宽度（cm）" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="productHeight" label="高度（cm）" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="productThick" label="厚度（mm）" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="productSingleLayer" label="单层厚（丝）" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="productLayerNum" label="层数" maxLength="32" labelCol="1"
                          fieldCol="2"/>
            </div>
        </div>

    </form>
    <%@ include file="technologyAndBom/technologyAndBom.jsp" %>

</div>
